diff --git a/castle/RiscOS/Sources/Printing/PDumpers/PDumperCX/Makefile b/castle/RiscOS/Sources/Printing/PDumpers/PDumperCX/Makefile
index 0a54ca0..ac02292 100644
--- a/castle/RiscOS/Sources/Printing/PDumpers/PDumperCX/Makefile
+++ b/castle/RiscOS/Sources/Printing/PDumpers/PDumperCX/Makefile
@@ -39,4 +39,4 @@ export_hdrs:: ^.hdr.PDumper
         ${CP} ^.hdr.PDumper ${EXP_HDR}.PDumper ${CPFLAGS}
         @${ECHO} ${COMPONENT}: header export complete
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Printing/PDumpers/PDumperDM/Makefile b/castle/RiscOS/Sources/Printing/PDumpers/PDumperDM/Makefile
index f2976df..d328b41 100644
--- a/castle/RiscOS/Sources/Printing/PDumpers/PDumperDM/Makefile
+++ b/castle/RiscOS/Sources/Printing/PDumpers/PDumperDM/Makefile
@@ -39,4 +39,4 @@ export_hdrs:: ^.hdr.PDumper
         ${CP} ^.hdr.PDumper ${EXP_HDR}.PDumper ${CPFLAGS}
         @${ECHO} ${COMPONENT}: header export complete
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Printing/PDumpers/PDumperE2/Makefile b/castle/RiscOS/Sources/Printing/PDumpers/PDumperE2/Makefile
index 57cfce8..bb73db0 100644
--- a/castle/RiscOS/Sources/Printing/PDumpers/PDumperE2/Makefile
+++ b/castle/RiscOS/Sources/Printing/PDumpers/PDumperE2/Makefile
@@ -39,4 +39,4 @@ export_hdrs:: ^.hdr.PDumper
         ${CP} ^.hdr.PDumper ${EXP_HDR}.PDumper ${CPFLAGS}
         @${ECHO} ${COMPONENT}: header export complete
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Printing/PDumpers/PDumperIW/Makefile b/castle/RiscOS/Sources/Printing/PDumpers/PDumperIW/Makefile
index 636e502..85cda41 100644
--- a/castle/RiscOS/Sources/Printing/PDumpers/PDumperIW/Makefile
+++ b/castle/RiscOS/Sources/Printing/PDumpers/PDumperIW/Makefile
@@ -39,4 +39,4 @@ export_hdrs:: ^.hdr.PDumper
         ${CP} ^.hdr.PDumper ${EXP_HDR}.PDumper ${CPFLAGS}
         @${ECHO} ${COMPONENT}: header export complete
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Printing/PDumpers/PDumperLJ/Makefile b/castle/RiscOS/Sources/Printing/PDumpers/PDumperLJ/Makefile
index 19c3f30..badeca0 100644
--- a/castle/RiscOS/Sources/Printing/PDumpers/PDumperLJ/Makefile
+++ b/castle/RiscOS/Sources/Printing/PDumpers/PDumperLJ/Makefile
@@ -39,4 +39,4 @@ export_hdrs:: ^.hdr.PDumper
         ${CP} ^.hdr.PDumper ${EXP_HDR}.PDumper ${CPFLAGS}
         @${ECHO} ${COMPONENT}: header export complete
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Printing/PDumpers/PDumperPCL/Makefile b/castle/RiscOS/Sources/Printing/PDumpers/PDumperPCL/Makefile
index 9afed9a..e37b001 100644
--- a/castle/RiscOS/Sources/Printing/PDumpers/PDumperPCL/Makefile
+++ b/castle/RiscOS/Sources/Printing/PDumpers/PDumperPCL/Makefile
@@ -40,4 +40,4 @@ export_hdrs:: ^.hdr.PDumper
         ${CP} ^.hdr.PDumper ${EXP_HDR}.PDumper ${CPFLAGS}
         @${ECHO} ${COMPONENT}: header export complete
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Printing/PDumpers/PDumperSP/Makefile b/castle/RiscOS/Sources/Printing/PDumpers/PDumperSP/Makefile
index 0e3c2b9..042b236 100644
--- a/castle/RiscOS/Sources/Printing/PDumpers/PDumperSP/Makefile
+++ b/castle/RiscOS/Sources/Printing/PDumpers/PDumperSP/Makefile
@@ -39,4 +39,4 @@ export_hdrs:: ^.hdr.PDumper
         ${CP} ^.hdr.PDumper ${EXP_HDR}.PDumper ${CPFLAGS}
         @${ECHO} ${COMPONENT}: header export complete
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Programmer/BASIC/Makefile b/castle/RiscOS/Sources/Programmer/BASIC/Makefile
index 7da236b..4b061a9 100644
--- a/castle/RiscOS/Sources/Programmer/BASIC/Makefile
+++ b/castle/RiscOS/Sources/Programmer/BASIC/Makefile
@@ -49,4 +49,4 @@ o.VFPData: s.VFPData
 clean::
         ${RM} s.VFPData
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Programmer/BASICTrans/Makefile b/castle/RiscOS/Sources/Programmer/BASICTrans/Makefile
index ba28cad..10d6203 100644
--- a/castle/RiscOS/Sources/Programmer/BASICTrans/Makefile
+++ b/castle/RiscOS/Sources/Programmer/BASICTrans/Makefile
@@ -32,4 +32,4 @@ RESFSDIR     = ${RESDIR}.BASIC
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Programmer/BootCmds/Makefile b/castle/RiscOS/Sources/Programmer/BootCmds/Makefile
index 1b383f5..a853bea 100644
--- a/castle/RiscOS/Sources/Programmer/BootCmds/Makefile
+++ b/castle/RiscOS/Sources/Programmer/BootCmds/Makefile
@@ -61,4 +61,4 @@ o.msgs:    ${DIRS} LocalRes:Messages aif.Repeat
 aif.Repeat: ${DIRS} repeatcmd.c
         ${CC} ${CINCLUDES} -o $@ repeatcmd.c ${CLIB} ${OSLIB}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Programmer/DDEUtils/Makefile b/castle/RiscOS/Sources/Programmer/DDEUtils/Makefile
index 4ef0583..8252cca 100644
--- a/castle/RiscOS/Sources/Programmer/DDEUtils/Makefile
+++ b/castle/RiscOS/Sources/Programmer/DDEUtils/Makefile
@@ -25,4 +25,4 @@ HEADER1   = DDEUtils
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Programmer/DDT/Makefile b/castle/RiscOS/Sources/Programmer/DDT/Makefile
index a25cf1f..a505815 100644
--- a/castle/RiscOS/Sources/Programmer/DDT/Makefile
+++ b/castle/RiscOS/Sources/Programmer/DDT/Makefile
@@ -56,4 +56,4 @@ export: ${EXPORTS}
 ${EXP_HDR}.DDT: hdr.DDT
         ${CP} hdr.DDT $@ ${CPFLAGS}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Programmer/Debugger/Makefile b/castle/RiscOS/Sources/Programmer/Debugger/Makefile
index 140b5e3..29ad7ab 100644
--- a/castle/RiscOS/Sources/Programmer/Debugger/Makefile
+++ b/castle/RiscOS/Sources/Programmer/Debugger/Makefile
@@ -34,4 +34,4 @@ HEADER1       = Debugger
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Programmer/HdrSrc/Makefile b/castle/RiscOS/Sources/Programmer/HdrSrc/Makefile
index 6dca1c0..543aeca 100644
--- a/castle/RiscOS/Sources/Programmer/HdrSrc/Makefile
+++ b/castle/RiscOS/Sources/Programmer/HdrSrc/Makefile
@@ -333,4 +333,4 @@ ${HDRDIR}.Symbols:           hdr.Symbols;           ${CP} hdr.Symbols
 ${HDRDIR}.System:            hdr.System;            ${CP} hdr.System               $@ ${CPFLAGS}
 ${HDRDIR}.Tokens:            hdr.Tokens;            ${CP} hdr.Tokens               $@ ${CPFLAGS}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Programmer/HostFS/Makefile b/castle/RiscOS/Sources/Programmer/HostFS/Makefile
index 11a63dc..1a94683 100644
--- a/castle/RiscOS/Sources/Programmer/HostFS/Makefile
+++ b/castle/RiscOS/Sources/Programmer/HostFS/Makefile
@@ -82,4 +82,4 @@ ${EXP_HDR}.HostFS: hdr.HostFS
 ${EXP_HDR}.HostDebug: hdr.HostDebug
         ${CP} hdr.HostDebug $@ ${CPFLAGS}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Programmer/Obey/Makefile b/castle/RiscOS/Sources/Programmer/Obey/Makefile
index 51638bb..d7f096d 100644
--- a/castle/RiscOS/Sources/Programmer/Obey/Makefile
+++ b/castle/RiscOS/Sources/Programmer/Obey/Makefile
@@ -30,4 +30,4 @@ COMPONENT   ?= Obey
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/SystemRes/HeroNames/Makefile b/castle/RiscOS/Sources/SystemRes/HeroNames/Makefile
index e459790..ccfbd26 100644
--- a/castle/RiscOS/Sources/SystemRes/HeroNames/Makefile
+++ b/castle/RiscOS/Sources/SystemRes/HeroNames/Makefile
@@ -42,4 +42,4 @@ install_rom: ${DATA}
         ${CP} ${DATA} ${INSTDIR}.${TARGET} ${CPFLAGS}
         @echo ${COMPONENT}: rom module installed
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/ColourDbox/Makefile b/castle/RiscOS/Sources/Toolbox/ColourDbox/Makefile
index c3ef7cc..da793bb 100644
--- a/castle/RiscOS/Sources/Toolbox/ColourDbox/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/ColourDbox/Makefile
@@ -48,4 +48,4 @@ clean: toolbox-clean
         @echo ${COMPONENT}: cleaned
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/ColourMenu/Makefile b/castle/RiscOS/Sources/Toolbox/ColourMenu/Makefile
index 1fbdace..e134491 100644
--- a/castle/RiscOS/Sources/Toolbox/ColourMenu/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/ColourMenu/Makefile
@@ -48,4 +48,4 @@ clean: toolbox-clean
         @echo ${COMPONENT}: cleaned
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/Common/Makefile b/castle/RiscOS/Sources/Toolbox/Common/Makefile
index 4e125f0..583c446 100644
--- a/castle/RiscOS/Sources/Toolbox/Common/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/Common/Makefile
@@ -143,4 +143,4 @@ dirs:
         ${MKDIR} ${EXPORTS}.h
         ${MKDIR} ${EXPORTS}.o
 #
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/DCS/Makefile b/castle/RiscOS/Sources/Toolbox/DCS/Makefile
index 477a7fb..45cebcb 100644
--- a/castle/RiscOS/Sources/Toolbox/DCS/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/DCS/Makefile
@@ -59,4 +59,4 @@ clean: toolbox-clean
         @echo ${COMPONENT}: cleaned
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/FileInfo/Makefile b/castle/RiscOS/Sources/Toolbox/FileInfo/Makefile
index f24e14f..e8eb164 100644
--- a/castle/RiscOS/Sources/Toolbox/FileInfo/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/FileInfo/Makefile
@@ -48,4 +48,4 @@ clean: toolbox-clean
         @echo ${COMPONENT}: cleaned
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/FontDbox/Makefile b/castle/RiscOS/Sources/Toolbox/FontDbox/Makefile
index 6bb7e79..47edc6d 100644
--- a/castle/RiscOS/Sources/Toolbox/FontDbox/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/FontDbox/Makefile
@@ -48,4 +48,4 @@ clean: toolbox-clean
         @echo ${COMPONENT}: cleaned
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/FontMenu/Makefile b/castle/RiscOS/Sources/Toolbox/FontMenu/Makefile
index af3221e..4ed702f 100644
--- a/castle/RiscOS/Sources/Toolbox/FontMenu/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/FontMenu/Makefile
@@ -48,4 +48,4 @@ clean: toolbox-clean
         @echo ${COMPONENT}: cleaned
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/Gadgets/Makefile b/castle/RiscOS/Sources/Toolbox/Gadgets/Makefile
index 445e80e..ba2174b 100644
--- a/castle/RiscOS/Sources/Toolbox/Gadgets/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/Gadgets/Makefile
@@ -50,4 +50,4 @@ clean: toolbox-clean
         @echo ${COMPONENT}: cleaned
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/IconBar/Makefile b/castle/RiscOS/Sources/Toolbox/IconBar/Makefile
index 66e4cb6..ce34683 100644
--- a/castle/RiscOS/Sources/Toolbox/IconBar/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/IconBar/Makefile
@@ -48,4 +48,4 @@ clean: toolbox-clean
         @echo ${COMPONENT}: cleaned
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/Libs/eventlib/Makefile b/castle/RiscOS/Sources/Toolbox/Libs/eventlib/Makefile
index b378484..ed700ac 100644
--- a/castle/RiscOS/Sources/Toolbox/Libs/eventlib/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/Libs/eventlib/Makefile
@@ -164,4 +164,4 @@ ${TARGETZ}: ${OBJSZ} local_dirs
 
 
 # ------------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/Libs/flexlib/Makefile b/castle/RiscOS/Sources/Toolbox/Libs/flexlib/Makefile
index ee91483..931dea9 100644
--- a/castle/RiscOS/Sources/Toolbox/Libs/flexlib/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/Libs/flexlib/Makefile
@@ -157,4 +157,4 @@ ${TARGETZ}: ${OBJSZ} local_dirs
 
 
 # ------------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/Libs/renderlib/Makefile b/castle/RiscOS/Sources/Toolbox/Libs/renderlib/Makefile
index 8cfc4d3..3b9a807 100644
--- a/castle/RiscOS/Sources/Toolbox/Libs/renderlib/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/Libs/renderlib/Makefile
@@ -115,4 +115,4 @@ $(TARGET): $(OBJS) local_dirs
 
 
 # ------------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/Libs/toolboxlib/Makefile b/castle/RiscOS/Sources/Toolbox/Libs/toolboxlib/Makefile
index 5911aa9..0cc3f6f 100644
--- a/castle/RiscOS/Sources/Toolbox/Libs/toolboxlib/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/Libs/toolboxlib/Makefile
@@ -155,4 +155,4 @@ dirs:
 $(TARGET): local_dirs
 	Obey	@.!Mk
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/Libs/wimplib/Makefile b/castle/RiscOS/Sources/Toolbox/Libs/wimplib/Makefile
index c77510a..18a3ff6 100644
--- a/castle/RiscOS/Sources/Toolbox/Libs/wimplib/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/Libs/wimplib/Makefile
@@ -200,4 +200,4 @@ ${EXP_HDR}.${COMPONENT}: hdr.${COMPONENT}
 
 
 # ------------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/Menu/Makefile b/castle/RiscOS/Sources/Toolbox/Menu/Makefile
index 7324778..8e31ab8 100644
--- a/castle/RiscOS/Sources/Toolbox/Menu/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/Menu/Makefile
@@ -48,4 +48,4 @@ clean: toolbox-clean
         @echo ${COMPONENT}: cleaned
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/PrintDbox/Makefile b/castle/RiscOS/Sources/Toolbox/PrintDbox/Makefile
index 79e9704..2562940 100644
--- a/castle/RiscOS/Sources/Toolbox/PrintDbox/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/PrintDbox/Makefile
@@ -45,4 +45,4 @@ clean: toolbox-clean
         @echo ${COMPONENT}: cleaned
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/ProgInfo/Makefile b/castle/RiscOS/Sources/Toolbox/ProgInfo/Makefile
index f1bb8e4..e23990a 100644
--- a/castle/RiscOS/Sources/Toolbox/ProgInfo/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/ProgInfo/Makefile
@@ -48,4 +48,4 @@ clean: toolbox-clean
         @echo ${COMPONENT}: cleaned
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/SaveAs/Makefile b/castle/RiscOS/Sources/Toolbox/SaveAs/Makefile
index 82fc885..1b93f0b 100644
--- a/castle/RiscOS/Sources/Toolbox/SaveAs/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/SaveAs/Makefile
@@ -48,4 +48,4 @@ clean: toolbox-clean
         @echo ${COMPONENT}: cleaned
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/Scale/Makefile b/castle/RiscOS/Sources/Toolbox/Scale/Makefile
index 6114ec7..fe7e6fc 100644
--- a/castle/RiscOS/Sources/Toolbox/Scale/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/Scale/Makefile
@@ -48,4 +48,4 @@ clean: toolbox-clean
         @echo ${COMPONENT}: cleaned
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/TinyStubs/Makefile b/castle/RiscOS/Sources/Toolbox/TinyStubs/Makefile
index a6abebe..f982b20 100644
--- a/castle/RiscOS/Sources/Toolbox/TinyStubs/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/TinyStubs/Makefile
@@ -32,4 +32,4 @@ RESFSDIR      = ${RESDIR}.${COMPONENT}
 
 include CModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/ToolAction/Makefile b/castle/RiscOS/Sources/Toolbox/ToolAction/Makefile
index b02ed38..e4be2f8 100644
--- a/castle/RiscOS/Sources/Toolbox/ToolAction/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/ToolAction/Makefile
@@ -187,4 +187,4 @@ o.main oz.main: h.modhdr
 o.resdata: LocalRes:Messages
 	${RESGEN} toolaction_resources $@ LocalRes:Messages Resources.ToolAction.Messages
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/Toolbox/Makefile b/castle/RiscOS/Sources/Toolbox/Toolbox/Makefile
index 9c605bd..8c958ae 100644
--- a/castle/RiscOS/Sources/Toolbox/Toolbox/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/Toolbox/Makefile
@@ -47,4 +47,4 @@ clean: toolbox-clean
 
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Toolbox/Window/Makefile b/castle/RiscOS/Sources/Toolbox/Window/Makefile
index 17c2a65..86a4754 100644
--- a/castle/RiscOS/Sources/Toolbox/Window/Makefile
+++ b/castle/RiscOS/Sources/Toolbox/Window/Makefile
@@ -57,4 +57,4 @@ clean: toolbox-clean
         @echo ${COMPONENT}: cleaned
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Video/HWSupport/VIDC20Video/Makefile b/castle/RiscOS/Sources/Video/HWSupport/VIDC20Video/Makefile
index b585c3d..776b597 100644
--- a/castle/RiscOS/Sources/Video/HWSupport/VIDC20Video/Makefile
+++ b/castle/RiscOS/Sources/Video/HWSupport/VIDC20Video/Makefile
@@ -24,4 +24,4 @@ RESOURCES = no
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Video/Render/Colours/Makefile b/castle/RiscOS/Sources/Video/Render/Colours/Makefile
index 7a90066..3031160 100644
--- a/castle/RiscOS/Sources/Video/Render/Colours/Makefile
+++ b/castle/RiscOS/Sources/Video/Render/Colours/Makefile
@@ -73,4 +73,4 @@ MkTables.maketables: MkTables.c.maketables
         ${MAKE} -f maketables/mk COMPONENT=maketables THROWBACK=${THROWBACK}
         ${CD} ^
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Video/Render/Draw/Makefile b/castle/RiscOS/Sources/Video/Render/Draw/Makefile
index 20eac47..9929359 100644
--- a/castle/RiscOS/Sources/Video/Render/Draw/Makefile
+++ b/castle/RiscOS/Sources/Video/Render/Draw/Makefile
@@ -32,4 +32,4 @@ HEADER1    = Draw
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Video/Render/DrawFile/Makefile b/castle/RiscOS/Sources/Video/Render/DrawFile/Makefile
index 76f356d..1ffaa77 100644
--- a/castle/RiscOS/Sources/Video/Render/DrawFile/Makefile
+++ b/castle/RiscOS/Sources/Video/Render/DrawFile/Makefile
@@ -37,4 +37,4 @@ RESFSDIR    = ${RESDIR}.${COMPONENT}
 
 include CModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Video/Render/Fonts/ITable/Makefile b/castle/RiscOS/Sources/Video/Render/Fonts/ITable/Makefile
index e2f72b4..431197a 100644
--- a/castle/RiscOS/Sources/Video/Render/Fonts/ITable/Makefile
+++ b/castle/RiscOS/Sources/Video/Render/Fonts/ITable/Makefile
@@ -27,4 +27,4 @@ include StdTools
 include ModuleLibs
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Video/Render/Fonts/Manager/Makefile b/castle/RiscOS/Sources/Video/Render/Fonts/Manager/Makefile
index a990439..80e6c5d 100644
--- a/castle/RiscOS/Sources/Video/Render/Fonts/Manager/Makefile
+++ b/castle/RiscOS/Sources/Video/Render/Fonts/Manager/Makefile
@@ -32,4 +32,4 @@ HEADER1   = Font
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Video/Render/Fonts/ROMFonts/Makefile b/castle/RiscOS/Sources/Video/Render/Fonts/ROMFonts/Makefile
index bbda697..7048e98 100644
--- a/castle/RiscOS/Sources/Video/Render/Fonts/ROMFonts/Makefile
+++ b/castle/RiscOS/Sources/Video/Render/Fonts/ROMFonts/Makefile
@@ -130,4 +130,4 @@ o.MaruGothic:
 rm.MaruGothic: o.MaruGothic
 	${LD} ${LDFLAGS} o.MaruGothic
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Video/Render/Hourglass/Hourmake/Makefile b/castle/RiscOS/Sources/Video/Render/Hourglass/Hourmake/Makefile
index 057ace0..310b2fc 100644
--- a/castle/RiscOS/Sources/Video/Render/Hourglass/Hourmake/Makefile
+++ b/castle/RiscOS/Sources/Video/Render/Hourglass/Hourmake/Makefile
@@ -91,4 +91,4 @@ obj.hourmake: ${OBJS} ${CLIB}
        ${LD} -o $@ ${CLIB} ${OBJS}
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Video/Render/Hourglass/Makefile b/castle/RiscOS/Sources/Video/Render/Hourglass/Makefile
index 28d2cc4..90774eb 100644
--- a/castle/RiscOS/Sources/Video/Render/Hourglass/Makefile
+++ b/castle/RiscOS/Sources/Video/Render/Hourglass/Makefile
@@ -25,4 +25,4 @@ ROM_SOURCE = Module.s
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Video/Render/ScrBlank/Makefile b/castle/RiscOS/Sources/Video/Render/ScrBlank/Makefile
index 35fe8d6..c97005c 100644
--- a/castle/RiscOS/Sources/Video/Render/ScrBlank/Makefile
+++ b/castle/RiscOS/Sources/Video/Render/ScrBlank/Makefile
@@ -33,4 +33,4 @@ HEADER1    = ScrBlank
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Video/Render/SpriteUtil/Makefile b/castle/RiscOS/Sources/Video/Render/SpriteUtil/Makefile
index 188f58b..eb2d30b 100644
--- a/castle/RiscOS/Sources/Video/Render/SpriteUtil/Makefile
+++ b/castle/RiscOS/Sources/Video/Render/SpriteUtil/Makefile
@@ -33,4 +33,4 @@ TOKHELPSRC= ${TOKENSOURCE}
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Video/Render/Super/Makefile b/castle/RiscOS/Sources/Video/Render/Super/Makefile
index b643c36..6d599ed 100644
--- a/castle/RiscOS/Sources/Video/Render/Super/Makefile
+++ b/castle/RiscOS/Sources/Video/Render/Super/Makefile
@@ -52,4 +52,4 @@ ${ROM_OBJECT} ${SA_OBJECT} ${DBG_OBJECT}: ${MATRIX1} ${MATRIX2}
         ${MAKE} -f matrix/mk COMPONENT=$* THROWBACK=${THROWBACK}
         ${RUN}$* $@
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Video/UserI/Display/Makefile b/castle/RiscOS/Sources/Video/UserI/Display/Makefile
index 00d550e..26f6462 100644
--- a/castle/RiscOS/Sources/Video/UserI/Display/Makefile
+++ b/castle/RiscOS/Sources/Video/UserI/Display/Makefile
@@ -38,4 +38,4 @@ resources_templrate ::
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Video/UserI/Picker/Makefile b/castle/RiscOS/Sources/Video/UserI/Picker/Makefile
index b4e66c9..b60f0ca 100644
--- a/castle/RiscOS/Sources/Video/UserI/Picker/Makefile
+++ b/castle/RiscOS/Sources/Video/UserI/Picker/Makefile
@@ -262,4 +262,4 @@ ${DBG_MODULE}:  ${DBG_OBJS} ${CLIB} ${OSLIB} ${ICONS} ${ASMUTILS}
         $(LD) -o $@ -rmf ${DBG_OBJS} ${OSLIB} ${CLIB} ${ASMUTILS}
         Access $@ RW/R
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Video/UserI/ScrModes/Makefile b/castle/RiscOS/Sources/Video/UserI/ScrModes/Makefile
index 16ddf39..73cb911 100644
--- a/castle/RiscOS/Sources/Video/UserI/ScrModes/Makefile
+++ b/castle/RiscOS/Sources/Video/UserI/ScrModes/Makefile
@@ -29,4 +29,4 @@ RESFSDIR      = ${RESDIR}.ScreenMode
 
 include CModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Video/UserI/ScrSaver/Makefile b/castle/RiscOS/Sources/Video/UserI/ScrSaver/Makefile
index 68f470b..cd7af1a 100644
--- a/castle/RiscOS/Sources/Video/UserI/ScrSaver/Makefile
+++ b/castle/RiscOS/Sources/Video/UserI/ScrSaver/Makefile
@@ -43,4 +43,4 @@ app:
         ${CP} LocalRes:!Run !SaverAni.!Run ${CPFLAGS}
         ${CP} LocalRes:Templates !SaverAni.Templates ${CPFLAGS}
 
-# Dynamic dependencies:
+include Depends
diff --git a/gpl/RiscOS/Sources/ThirdParty/JSmith/Lib/DDTLib/Makefile b/gpl/RiscOS/Sources/ThirdParty/JSmith/Lib/DDTLib/Makefile
index def17f2..b713aa7 100644
--- a/gpl/RiscOS/Sources/ThirdParty/JSmith/Lib/DDTLib/Makefile
+++ b/gpl/RiscOS/Sources/ThirdParty/JSmith/Lib/DDTLib/Makefile
@@ -88,4 +88,4 @@ clean:
 	@$(STRIPDEPND) MainMake
 	@echo $(COMPONENT): cleaned
 
-# Dynamic dependencies:
+include Depends
diff --git a/gpl/RiscOS/Sources/ThirdParty/JSmith/Lib/Trace/Makefile b/gpl/RiscOS/Sources/ThirdParty/JSmith/Lib/Trace/Makefile
index 7542cae..827c977 100644
--- a/gpl/RiscOS/Sources/ThirdParty/JSmith/Lib/Trace/Makefile
+++ b/gpl/RiscOS/Sources/ThirdParty/JSmith/Lib/Trace/Makefile
@@ -88,4 +88,4 @@ clean:
 	@$(STRIPDEPND) MainMake
 	@echo $(COMPONENT): cleaned
 
-# Dynamic dependencies:
+include Depends
diff --git a/gpl/RiscOS/Sources/ThirdParty/JSmith/Lib/Wild/Makefile b/gpl/RiscOS/Sources/ThirdParty/JSmith/Lib/Wild/Makefile
index 482e9a6..74b2bee 100644
--- a/gpl/RiscOS/Sources/ThirdParty/JSmith/Lib/Wild/Makefile
+++ b/gpl/RiscOS/Sources/ThirdParty/JSmith/Lib/Wild/Makefile
@@ -92,4 +92,4 @@ test:
 	@echo MFLAGS       ${MFLAGS}
 	@echo MAKECMDGOALS ${MAKECMDGOALS}
 
-# Dynamic dependencies:
+include Depends
diff --git a/mixed/RiscOS/Sources/HWSupport/FPASC/riscos/Makefile b/mixed/RiscOS/Sources/HWSupport/FPASC/riscos/Makefile
index 7d6dfd4..54b2208 100644
--- a/mixed/RiscOS/Sources/HWSupport/FPASC/riscos/Makefile
+++ b/mixed/RiscOS/Sources/HWSupport/FPASC/riscos/Makefile
@@ -109,4 +109,4 @@ BBETYPE = fpasc
 bbe-fpasc: bbe-generic
         BBE_Export_File ^.VersionNum
 
-# Dynamic dependencies:
+include Depends
diff --git a/mixed/RiscOS/Sources/Lib/TCPIPLibs/inetlib/Makefile b/mixed/RiscOS/Sources/Lib/TCPIPLibs/inetlib/Makefile
index e44f78c..047306b 100644
--- a/mixed/RiscOS/Sources/Lib/TCPIPLibs/inetlib/Makefile
+++ b/mixed/RiscOS/Sources/Lib/TCPIPLibs/inetlib/Makefile
@@ -121,4 +121,4 @@ clean:
 	${RM} inetlibzm
 
 
-# Dynamic dependencies:
+include Depends
diff --git a/mixed/RiscOS/Sources/Lib/TCPIPLibs/rpclib/rpc/Makefile b/mixed/RiscOS/Sources/Lib/TCPIPLibs/rpclib/rpc/Makefile
index 71b7472..9e62b07 100644
--- a/mixed/RiscOS/Sources/Lib/TCPIPLibs/rpclib/rpc/Makefile
+++ b/mixed/RiscOS/Sources/Lib/TCPIPLibs/rpclib/rpc/Makefile
@@ -119,4 +119,4 @@ clean:
         ${RM}   rpclib
         ${RM}   rpclibzm
 
-# Dynamic dependencies:
+include Depends
diff --git a/mixed/RiscOS/Sources/Lib/TCPIPLibs/socklib/Makefile b/mixed/RiscOS/Sources/Lib/TCPIPLibs/socklib/Makefile
index 0adc4ff..e94ab53 100644
--- a/mixed/RiscOS/Sources/Lib/TCPIPLibs/socklib/Makefile
+++ b/mixed/RiscOS/Sources/Lib/TCPIPLibs/socklib/Makefile
@@ -190,4 +190,4 @@ clean:
 	${RM} socklib5
 	${RM} socklib5zm
 
-# Dynamic dependencies:
+include Depends
diff --git a/mixed/RiscOS/Sources/Lib/TCPIPLibs/unixlib/Makefile b/mixed/RiscOS/Sources/Lib/TCPIPLibs/unixlib/Makefile
index c28df72..95aaf27 100644
--- a/mixed/RiscOS/Sources/Lib/TCPIPLibs/unixlib/Makefile
+++ b/mixed/RiscOS/Sources/Lib/TCPIPLibs/unixlib/Makefile
@@ -132,4 +132,4 @@ clean:
 	${RM} unixlibzm
 
 
-# Dynamic dependencies:
+include Depends
diff --git a/mixed/RiscOS/Sources/Networking/AUN/Internet/build/Makefile b/mixed/RiscOS/Sources/Networking/AUN/Internet/build/Makefile
index 2e4daca..40d9256 100644
--- a/mixed/RiscOS/Sources/Networking/AUN/Internet/build/Makefile
+++ b/mixed/RiscOS/Sources/Networking/AUN/Internet/build/Makefile
@@ -185,4 +185,4 @@ bbe-internet: bbe-generic
         BBE_Export_File ^.VersionNum
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/mixed/RiscOS/Sources/Programmer/Squash/Makefile b/mixed/RiscOS/Sources/Programmer/Squash/Makefile
index b442533..c146887 100644
--- a/mixed/RiscOS/Sources/Programmer/Squash/Makefile
+++ b/mixed/RiscOS/Sources/Programmer/Squash/Makefile
@@ -106,4 +106,4 @@ zcat_ass.o: zcat_ass12.s
 ${EXP_HDR}.${COMPONENT}: hdr.${COMPONENT}
         ${CP} hdr.${COMPONENT} $@ ${CPFLAGS}
 
-# Dynamic dependencies:
+include Depends
diff --git a/mixed/RiscOS/Sources/SystemRes/Internet/Sources/arp/Makefile b/mixed/RiscOS/Sources/SystemRes/Internet/Sources/arp/Makefile
index 2fc8d80..ed6e2b1 100644
--- a/mixed/RiscOS/Sources/SystemRes/Internet/Sources/arp/Makefile
+++ b/mixed/RiscOS/Sources/SystemRes/Internet/Sources/arp/Makefile
@@ -42,4 +42,4 @@ ${TARGET}:	$(OBJS) $(LIBS)
 clean:;		${RM} ${TARGET}
 		IfThere o.* Then ${WIPE} o.* ${WFLAGS}
 	
-# Dynamic dependencies:
+include Depends
diff --git a/mixed/RiscOS/Sources/SystemRes/Internet/Sources/gethost/Makefile b/mixed/RiscOS/Sources/SystemRes/Internet/Sources/gethost/Makefile
index cbd80b4..3abc498 100644
--- a/mixed/RiscOS/Sources/SystemRes/Internet/Sources/gethost/Makefile
+++ b/mixed/RiscOS/Sources/SystemRes/Internet/Sources/gethost/Makefile
@@ -81,4 +81,4 @@ GetHost: ${OBJS} ${NET5LIBS} ${CLIB} ${DIRS}
         ${SQUEEZE} $@
 
 
-# Dynamic dependencies:
+include Depends
diff --git a/mixed/RiscOS/Sources/SystemRes/Internet/Sources/host/Makefile b/mixed/RiscOS/Sources/SystemRes/Internet/Sources/host/Makefile
index aea96b5..5d6021d 100644
--- a/mixed/RiscOS/Sources/SystemRes/Internet/Sources/host/Makefile
+++ b/mixed/RiscOS/Sources/SystemRes/Internet/Sources/host/Makefile
@@ -81,4 +81,4 @@ ${DIRS}:
 bin.Host: ${OBJS} ${NET5LIBS} ${CLIB} ${DIRS}
         ${LD} -o $@ ${OBJS} ${NET5LIBS} ${CLIB}
 
-# Dynamic dependencies:
+include Depends
diff --git a/mixed/RiscOS/Sources/SystemRes/Internet/Sources/ifconfig/Makefile b/mixed/RiscOS/Sources/SystemRes/Internet/Sources/ifconfig/Makefile
index 248a249..d87fffb 100644
--- a/mixed/RiscOS/Sources/SystemRes/Internet/Sources/ifconfig/Makefile
+++ b/mixed/RiscOS/Sources/SystemRes/Internet/Sources/ifconfig/Makefile
@@ -42,4 +42,4 @@ ${TARGET}:	$(OBJS) $(LIBS)
 clean:;		${RM} ${TARGET}
 		IfThere o.* Then ${WIPE} o.* ${WFLAGS}
 	
-# Dynamic dependencies:
+include Depends
diff --git a/mixed/RiscOS/Sources/SystemRes/Internet/Sources/ifrconfig/Makefile b/mixed/RiscOS/Sources/SystemRes/Internet/Sources/ifrconfig/Makefile
index f1fac6c..82cb99f 100644
--- a/mixed/RiscOS/Sources/SystemRes/Internet/Sources/ifrconfig/Makefile
+++ b/mixed/RiscOS/Sources/SystemRes/Internet/Sources/ifrconfig/Makefile
@@ -42,4 +42,4 @@ ${TARGET}:	$(OBJS) $(LIBS)
 clean:;		${RM} ${TARGET}
 		IfThere o.* Then ${WIPE} o.* ${WFLAGS}
 	
-# Dynamic dependencies:
+include Depends
diff --git a/mixed/RiscOS/Sources/SystemRes/Internet/Sources/inetstat/Makefile b/mixed/RiscOS/Sources/SystemRes/Internet/Sources/inetstat/Makefile
index 32f19a8..f7b1358 100644
--- a/mixed/RiscOS/Sources/SystemRes/Internet/Sources/inetstat/Makefile
+++ b/mixed/RiscOS/Sources/SystemRes/Internet/Sources/inetstat/Makefile
@@ -43,4 +43,4 @@ ${TARGET}:	$(OBJS) $(LIBS)
 clean:;		${RM} ${TARGET}
 		IfThere o.* Then ${WIPE} o.* ${WFLAGS}
 	
-# Dynamic dependencies:
+include Depends
diff --git a/mixed/RiscOS/Sources/SystemRes/Internet/Sources/ipvars/Makefile b/mixed/RiscOS/Sources/SystemRes/Internet/Sources/ipvars/Makefile
index 96d0e96..53fdcbb 100644
--- a/mixed/RiscOS/Sources/SystemRes/Internet/Sources/ipvars/Makefile
+++ b/mixed/RiscOS/Sources/SystemRes/Internet/Sources/ipvars/Makefile
@@ -46,4 +46,4 @@ $(DIRS):
 		cdir o
 		create $@
 	
-# Dynamic dependencies:
+include Depends
